﻿/* =============================================================
* Plutocalc Water
* Developed by Daniel Brooke Peig (daniel@danbp.org)
*
* https://www.danbp.org
* https://www.plutocalc.com
*
* Copyright 2021
*
* Any use of the code written here-in belongs to the developer
* and is hereby the owner.  If used, one must have strict
* approval by the developer of the code written here-in.
*
* The developer may at any time change, modify, add, or delete
* any content contained within.
*
/* =============================================================
* Version: 14.1
* Compilation date: 11/06/2021 23:52
* ==============================================================
*/
var searchDB=[];searchIndexing();var searchbox=document.getElementById("search-box"),searchsug=document.getElementById("search-suggestions"),searchnoresults=document.getElementById("search-noresults"),searchresults=document.getElementById("search-results");searchbox.onkeyup=searchBoxType;function searchBoxType(){var a=searchbox.value;0!=a.length?(searchResultsToggle("show"),searchUpdateResults(a)):searchResultsToggle("hide")}
function searchResultsToggle(a){a=void 0===a?"toggle":a;"toggle"==a?searchsug.classList.toggle("search-vis"):"show"==a?searchsug.classList.add("search-vis"):searchsug.classList.remove("search-vis")}function searchIndexing(){searchDB=[];var a=document.getElementsByClassName("panelcollapsed"),d;for(d in a){var b=a[d];if(void 0!=b.id){var c="undefined"!==typeof searchAdvancedIndexing?searchAdvancedIndexing(b):"";b=[b.id,b.getElementsByTagName("H2")[0].innerText,c];searchDB.push(b)}}}
function searchUpdateResults(a){searchresults.innerHTML="";if(3<=a.length){var d=new RegExp(a,"i"),b="";try{b=math.evaluate(a).toString()}catch(e){b=""}if(""!=b&&-1==b.search(/^function/)){searchnoresults.classList.remove("search-dis");var c=document.createElement("a");c.className="calc-item";c.innerHTML="<i class='fa fa-calculator' aria-hidden='true'></i>&nbsp;=&nbsp;"+b;"undefined"!==typeof thisIsPlutocalcPlus?c.setAttribute("onclick","searchResultsToggle('hide');calctopad('"+a+"','"+b+"')"):c.setAttribute("onclick",
"searchResultsToggle('hide')");searchresults.appendChild(c)}for(index in searchAnswersDB)-1!=searchAnswersDB[index][0].search(d)&&(searchnoresults.classList.remove("search-dis"),a=document.createElement("a"),a.className="search-item",a.innerHTML="<i class='fa fa-comment-o' aria-hidden='true'></i>&nbsp;"+searchAnswersDB[index][1],a.href=searchAnswersDB[index][2],a.target="_blank",a.setAttribute("onclick","searchResultsToggle('hide')"),searchresults.appendChild(a));for(index in searchDB)if(-1!=searchDB[index][1].search(d)||
-1!=searchDB[index][2].search(d))searchnoresults.classList.remove("search-dis"),a=document.createElement("a"),a.className="search-item",a.innerHTML="<i class='fa fa-chevron-right' aria-hidden='true'></i>&nbsp;"+searchDB[index][1],a.setAttribute("onclick","searchGoToResult('"+searchDB[index][0]+"');"),searchresults.appendChild(a);searchresults.hasChildNodes()||searchnoresults.classList.add("search-dis")}else searchnoresults.classList.add("search-dis")}
function searchGoToResult(a){searchResultsToggle("hide");searchbox.value="";NavigateToPanel(a)}document.addEventListener("click",function(a){targetElement=a.target;do{if(targetElement==searchsug)return;targetElement=targetElement.parentNode}while(targetElement);searchResultsToggle("hide")});
var searchAnswersDB=[["developer","Lead developer: Daniel Brooke Peig","https://www.danbp.org"],["daniel","Who is Daniel? The creator of this tool","https://www.danbp.org"],["design","Desing: Use 'Plutocalc Designer' software to size water and wastewater treatment plants","https://www.plutocalc.com/designer"],["website","Plutocalc website: www.plutocalc.com","https://www.plutocalc.com"],["foundation","First release: September 15th, 2014","https://www.plutocalc.com/plutocalc/changelog.html"],["trust",
"Yes! You can trust Plutocalc Water. For almost a decade this app has been a reference in the market.","#"],["privacy","Provacy: Plutocalc respects you privacy and does not collect any personal data. We don't collect any calculation inputs or results either.","https://www.plutocalc.com/plutocalc/license.html"],["bug","Bugs: Please report to contact@plutocalc.com","mailto:contact@plutocalc.com"],["dupont","Plutocalc is not affiliated, sponsored or endorsed by DuPont de Nemours Inc, in any ways.",""],
["translation","Translations: We can't afford a professional translator for this tool but we accept such service a donation.",""],["plutocalc+","Plutocalc+: Premium version that supports the development of this tool. Users get technical support, early releases, Plutopad and tools to copy/paste data around.","https://www.plutocalc.com"],["sponsorship","Sponsorship: Plutocalc is open to sponsorship agreements. Please check our website for more information.","https://www.plutocalc.com"]];
math.createUnit("lmh",{definition:"1 L / (m^2 * hour)",aliases:["LMH"]});math.createUnit("gfd",{definition:"1 gal / (ft^2 * day)",aliases:["GFD"]});
